<div class="main">
  <!-- <app-sidebar></app-sidebar> -->
  <div class="">
    <div class="add-rest-btn-div">
      <a routerLink="create_product"><button class="add-rest-button">Add Product</button></a>
      <div class="search-div">
        <input type="text" id="search" name="searchProduct" placeholder="Search Product" />
        <button class="search-btn">Search</button>
      </div>
    </div>
    <div class="sub-main">
      <div *ngFor="let product of products" class="searched-List-card">
        <div class="info-list">
          <h4>Product Name :{{product.product_name}}</h4>
          <p>Product Description : {{product.product_description}}</p>
          <p>Product price : <strong>{{product.product_price}}</strong></p>
          <p>Quantity : <strong>{{product.Quantity}}</strong></p>
          <p>Discount : <strong>{{product.discount}}</strong></p>
          <p>Merchant Name : {{product.merchant_name}}</p>
        </div>
        <div class="buttons">
          <a [routerLink]="['update_product']" [state]="{product}"><button class="edit-btn">Update</button></a>
          <a routerLink="delete_product"><button class="delete-btn">Delete</button></a>
        </div>
      </div>
    </div>
  </div>
</div>